<div class="page-container">
  <div class="side-bar">
    <div class="logo-personal-details-container">
      <img src="../../assets/images/logoVacc.png" style="width:85%;">
      <div class="personal-details-container">
        <img [src]="'https://dicebear.vatsim.pt/5.x/croodles-neutral/svg?backgroundColor=ffffff&radius=50&seed=' + seed"
             alt="avatar"/>
        <p class="name">{{name}}</p>
        <p class="text">{{rating}}</p>
      </div>
    </div>
    <div class="navigation-container">
      <p class="navigation-header">Navigation</p>
      <div class="icon-text-container">
        <app-svg-icon [height]="'24px'" [width]="'24px'" [fill]="'#adb5bd'" [icon]="IconTypeEnum.HOME"></app-svg-icon>
        <a routerLink="/dashboard" routerLinkActive="active">Dashboard</a>
      </div>
      <div class="icon-text-container">
        <app-svg-icon [height]="'24px'" [width]="'24px'" [fill]="'#adb5bd'" [icon]="IconTypeEnum.CALENDAR">
        </app-svg-icon>
        <a routerLink="/calendar" routerLinkActive="active">Calendar</a>
      </div>
      <div class="icon-text-container">
        <app-svg-icon [height]="'24px'" [width]="'24px'" [fill]="'#adb5bd'"
                      [icon]="IconTypeEnum.MEMBERS"></app-svg-icon>
        <a routerLink="/members" routerLinkActive="active">Members</a>
      </div>
      <div class="icon-text-container">
        <app-svg-icon [height]="'24px'" [width]="'24px'" [fill]="'#adb5bd'"
                      [icon]="IconTypeEnum.MEMBERS"></app-svg-icon>
        <a routerLink="/rosters" routerLinkActive="active">Rosters</a>
      </div>
      <div class="icon-text-container">
        <app-svg-icon [height]="'24px'" [width]="'24px'" [fill]="'#adb5bd'"
                      [icon]="IconTypeEnum.MEMBERS"></app-svg-icon>
        <!-- To be updated upen creation of ATS v3 -->
        <!-- <a routerLink="/ats" routerLinkActive="active">ATS</a>-->
        <!-- ATS v2 currently being used -->
        <a href="https://ats.portugal-vacc.org" target="_blank">ATS</a>
      </div>
      <div class="icon-text-container">
        <app-svg-icon [height]="'24px'" [width]="'24px'" [fill]="'#adb5bd'"
                      [icon]="IconTypeEnum.DISCORD"></app-svg-icon>
        <a href="https://discord.portugal-vacc.org/" target="_blank">Discord</a>
      </div>
      <div class="icon-text-container">
        <app-svg-icon [height]="'24px'" [width]="'24px'" [fill]="'#adb5bd'" [icon]="IconTypeEnum.DONATE"></app-svg-icon>
        <a href="https://vatsim.pt/donate" target="_blank">Donate</a>
      </div>
      <div class="icon-text-container">
        <app-svg-icon [height]="'24px'" [width]="'24px'" [fill]="'#adb5bd'"
                      [icon]="IconTypeEnum.MEMBERS"></app-svg-icon>
        <a routerLink="/staff" routerLinkActive="active">Staff</a>
      </div>
    </div>
    <hr>
  </div>
  <div class="right-side-content-container">
    <div class="horizontal-bar-container">
      <div class="top-header-container">
        <p *ngIf="title">{{title}}</p>
        <!-- Dummy to align in case title not present-->
        <div *ngIf="!title"></div>
        <div class="user-info-settings-container">
          <div class="column">
            <div [matMenuTriggerFor]="notificationsMenu" [matMenuTriggerData]="{'notifications' : notifications}"
              [style]="'cursor: pointer; position: relative'">
              <app-svg-icon [height]="'25px'" [width]="'25px'" [fill]="'#adb5bd'" [icon]="IconTypeEnum.NOTIFICATION">
              </app-svg-icon>
              <span class="notifications-dot" *ngIf="notificationsUnread"></span>
            </div>
          </div>
          <p [matMenuTriggerFor]="userMenu  "> placeHolder logout </p>
        </div>
      </div>
    </div>
    <div class="content-container">
      <router-outlet>
      </router-outlet>

    </div>
    <div class="bottom-bar-container">
      <p>Dev Version- Copyright © {{year}} Portugal vACC</p>
    </div>
  </div>
</div>


<mat-menu #notificationsMenu="matMenu" class="notifications-header-menu">
  <ng-template matMenuContent let-notifications="notifications" class="notifications-header-content">
    <div class="notifications-header">
      <p style="opacity: 0.7; font-size: 16px;">
        Notifications
      </p>
      <p class="clear-all" (click)="clearNotifications()">
        Clear all
      </p>
    </div>
    <!-- Notifications -->
    <div class="notifications-text"  *ngFor="let item of notifications; let last = last">
      <p>{{item}}</p>
    </div>
    <div class="notifications-text" [ngStyle]="{'border' : 'none'}">
      <p class="view-all" (click)="navigateNotifications()">View all</p>
    </div>
  </ng-template>

</mat-menu>


<mat-menu #userMenu="matMenu">
  <button mat-menu-item>Help</button>
  <hr>
  <div class="menu-row">
    <app-svg-icon [height]="'20px'" [width]="'20px'" [fill]="'#adb5bd'" [icon]="IconTypeEnum.LOGOUT">
    </app-svg-icon>
    <button *ngIf="authService.isLoggedIn()" (click)="logOut()">Logout</button>
  </div>


</mat-menu>
